| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
sar_tools.hpp File Reference
Private

a set of tools aims to help Segmentation And Reassemblement (sar) class More...

`#include "../my_config.h"`
`#include <string>`
`#include "integers.hpp"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "header.hpp"`
`#include "sar.hpp"`
`#include "memory_pool.hpp"`
`#include "label.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Functions
std::string | libdar::sar_tools_make_filename (const std::string &base_name, const infinint &num, const infinint &min_digits, const std::string &ext)
bool | libdar::sar_tools_extract_num (const std::string &filename, const std::string &base_name, const infinint &min_digits, const std::string &ext, infinint &ret)
bool | libdar::sar_tools_get_higher_number_in_dir (entrepot &entr, const std::string &base_name, const infinint &min_digits, const std::string &ext, infinint &ret)
std::string | libdar::sar_tools_make_padded_number (const std::string &num, const infinint &min_digits)

## Detailed Description

a set of tools aims to help Segmentation And Reassemblement (sar) class

Definition in file sar_tools.hpp.